<template>
	<div class="flex flex-col gap-1">
		<span class="text-gray-600 font-normal">{{ `${order} ${item?.data?.title}` }}</span>
		<TimeRange :disabled="disabled" @change="timeRangeChange" ></TimeRange>
	</div>
</template>
<script lang="ts" setup>
import { definePropType } from 'element-plus/es/utils';
import type { PropType } from 'vue';
import TimeRange from '../summaryCom/components/recordSet/components/TimeRange.vue';

const props = defineProps({
	order: {
		type: String,
		default: '',
	},
	item: {
		type: Object as PropType<any>,
	},
	disabled: {
		type: Boolean,
		default: false,
	},
});
const emit = defineEmits(['change']);
// const timeRangeValue = defineModel({
// 	type: definePropType<[string, string]>(Array),
// });
const timeRangeChange = (val: [string, string]) => {
	if (props.disabled) return;
	emit(
		'change',
		props.item?.data?.reply_id,
		{
			start_time: val[0],
			end_time: val[1],
		}
	);
};
</script>
